%define name xarchon
%define version 0.50
%define release 2mdk

Name: %{name}
Summary: X ARCHON is a strange game of chess.
Summary(fr): X ARCHON, un etrange jeu d'echecs.
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Group: Games/Boards
URL: http://xarchon.seul.org/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr/X11R6


%description 
X ARCHON is a clone of the golden oldie ARCHON game created by Freewall
Associates and distributed by Electronic Arts. ARCHON, in its simplest form,
resembles a strange game of chess. But no one ever said that Archon was a
simple game. When a piece is challenged a duel ensued between the two pieces
until one of the pieces is dead. Combine with spells and fantastic units, an
you have a very small taste of Archon.

%description -l fr
X ARCHON est un clone du jeu d'echecs ARCHON. Quand une piece est dispute un
combat entre celles ci s'ensuit.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix}
make -j 2

%install
make install prefix=$RPM_BUILD_ROOT/%{prefix}

if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  find $RPM_BUILD_ROOT/usr/info -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/lib/perl5/man ]; then
  find $RPM_BUILD_ROOT/usr/lib/perl5/man -type f -exec bzip2 -9f {} \;
fi

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

#find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' \
#       -e '/\/etc\//s|^|%config|' \
#       -e '/\/config\//s|^|%config|' \
#       >> $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
    $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%defattr(-,root,root,0755)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog

%changelog
* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-2mdk
- fix group

* Mon Dec 06 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Upgrade to 0.50 version.

* Tue Oct 19 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Upgrade to 0.42 version.

* Thu Oct 07 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Little adaptations of the specfile

* Sun Sep 26 1999 Sean P. Kane <spkane@home.com>
- Created First Xarchon RPM

* Fri Aug 06 1999 Stefan Siegel <siegel@informatik.uni-kl.de>
- Added "config" tag for files containing /etc or /config
- Added compression for perl- and localized man-pages

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
